Name:		topgit
Version:	0.9
Release:	1%{?dist}
Summary:	A different patch queue manager
Group:		Development/Tools
License:	GPLv2
URL:		https://github.com/greenrd/%{name}
Source0:	https://github.com/greenrd/%{name}/archive/%{name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	git


%description
TopGit aims to make handling of large amount of interdependent topic
branches easier. In fact, it is designed especially for the case when
you maintain a queue of third-party patches on top of another (perhaps
Git-controlled) project and want to easily organize, maintain and
submit them - TopGit achieves that by keeping a separate topic branch
for each patch and providing few tools to maintain the branches.


%prep
# topdir name is a bit strange, ask upstream
%setup -q -n %{name}-%{name}-%{version}


%build
make %{?_smp_mflags} prefix=%{_prefix}


%install
rm -rf %{buildroot}
make install prefix=%{_prefix} DESTDIR=%{buildroot}
install -m 0644 -D -p contrib/tg-completion.bash \
  %{buildroot}%{_sysconfdir}/bash_completion.d/tg-completion.bash


%files
%doc COPYING README
%{_bindir}/tg
%{_libexecdir}/%{name}/
%{_prefix}/share/%{name}/
%dir %{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/bash_completion.d/tg-completion.bash


%changelog
* Mon Mar 11 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-1
- Update to 0.9.
- New upstream URL.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.7.gitd279e292
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.6.gitd279e292
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.5.gitd279e292
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.4.gitd279e292
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 26 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.3.gitd279e292
- Update to revision d279e292.

* Sat Dec 11 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.2.git9b25e848
- Update to revision 9b25e848.
- %%{_datarootdir} is not defined on EL5.

* Sun Oct 10 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.1.git8b0f1f9d
- Update to revision 8b0f1f9d.

* Mon Sep 13 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.8-2.git9404aa1a
- Update to revision 9404aa1a.
- Specfile fixes as suggested in the review.

* Thu Jul 29 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.8-1.git5aed7e7b
- New package.
